import { jsx } from "react/jsx-runtime";
import { TokenBCN as TokenBCN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBCN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BCN", "data-name": "TokenBCN", ...props, children: /* @__PURE__ */ jsx(TokenBCN$1, { variant }) });
  }
);
TokenBCN.displayName = "TokenBCN";
Object.assign(TokenBCN, { isGdsIcon: true });
export {
  TokenBCN
};
